> ## Documentation Index
> Fetch the complete documentation index at: https://docs.orkeia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Agent

> Creates a new agent on the Orkeia AI platform.

## Endpoint

`POST https://gateway.orkeia.ai/agents`

## Headers

```
authorization: <your_token>
Content-Type: application/json
```

## Request Body (JSON)

**All fields below are required**

| Field          | Type                                 | Description                                                                                                                                     |
| -------------- | ------------------------------------ | ----------------------------------------------------------------------------------------------------------------------------------------------- |
| name           | string                               | Name of the agent                                                                                                                               |
| enabled        | boolean                              | Whether the agent is active                                                                                                                     |
| model          | string / Model                       | ID of the model or AI model                                                                                                                     |
| auto           | boolean                              | Whether the agent is active                                                                                                                     |
| reasoning      | boolean                              | Whether the agent has permission to process thought                                                                                             |
| publisher      | string                               | ID of who created the agent                                                                                                                     |
| temperature    | number (0.0 to 1.0)                  | Controls the randomness of the model's responses. Values closer to 0 tend to be more deterministic, while closer to 1 tend to be more variable. |
| role           | string                               | Role that the agent will play                                                                                                                   |
| objective      | string                               | Objective of the agent in each interaction                                                                                                      |
| referencies    | string                               | Textual reference that the agent will use                                                                                                       |
| can.delegate   | boolean                              | Can the agent delegate tasks?                                                                                                                   |
| can\_code      | boolean                              | Can the agent program?                                                                                                                          |
| multimodal     | boolean                              | Does the agent have the ability to interact with multiple modes (image, text, audio)?                                                           |
| sectors        | array(String)                        | Array of sectors that will use the agent                                                                                                        |
| tools          | array(String) / array(Tools)         | Array of tools that the agent can use                                                                                                           |
| knowledgeBases | array(String) / array(KnowledgeBase) | Array of knowledge bases that can be used by the agent                                                                                          |

<Tip>
  Click here to learn more about [Tools](https://docs.orkeia.ai/pt-BR/core-concepts/tools), [Knowledge Bases](https://docs.orkeia.ai/pt-BR/core-concepts/knowledge-bases), and [AI Models](https://docs.orkeia.ai/pt-BR/core-concepts/models)!
</Tip>

```json theme={null}
{
  "name": "Agent Name",
  "enabled": "true",
  "model": "sabia-3",
  "auto": "false",
  "reasoning": "false",
  "publisher": "ork-123",
  "temperature": "1",
  "role": "content creator",
  "objective": "aims to perform such a task",
  "referencies": "reference text",
  "can.delegate": "false",
  "can_code": "false",
  "multimodal": "false",
  "sectors": ["market"],
  "tools": ["web_scrapper"],
  "knowledgeBases": ["market_base"]
}
```

### Example (cURL)

```bash theme={null}
curl -X POST "https://gateway.orkeia.ai/agents" \
  -H "authorization:  <your_token>" \
  -H "Content-Type: application/json" \
  -d '{ "name": "Agent Name", "enabled": true,
  "model": "sabia-3",
  "auto": "false",
  "reasoning": "false",
  "publisher": "ork-123",
  "temperature": "0.3",
  "role": "content creator",
  "objective": "aims to perform such a task",
  "referencies": "reference text",
  "can.delegate": "false",
  "can_code": "false",
  "multimodal": "false",
  "sectors": ["market"],
  "tools": ["web_scrapper"],
  "knowledgeBases": ["market_base"]
  }'
```

## Responses

### Response - Success

```json response theme={null}
{
  "status": "OK",
  "data": { "id": "string_id"}
}
```

### 500 — Bad Request

```json theme={null}
{
  "status": "ERROR",
  "code": "server/error",
  "data": null
}
```

### 400 — Client Error

```json theme={null}
{
  "status": "ERROR",
  "code": "client/error",
  "data": null
}
```
